Domaines personnalisés
GET https://analytics.sycow.fr/api/domains/
curl --request GET \
--url 'https://analytics.sycow.fr/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.sycow.fr/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Champ utilisé pour la recherche. Valeurs autorisées : host. |
| is_enabled | Optionnel Booléen | |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Filtrer les résultats à partir de cette date/heure. Format Y-m-d H:i:s. |
| datetime_end | Optionnel Chaîne | Filtrer les résultats jusqu’à cette date/heure. Format Y-m-d H:i:s. |
| order_by | Optionnel Chaîne | Champ utilisé pour le tri des résultats. Valeurs autorisées : domain_id, datetime, last_datetime, host. |
| order_type | Optionnel Chaîne | Ordre des résultats. Valeurs autorisées : ASC pour croissant et DESC pour décroissant. |
| page | Optionnel Entier | Le numéro de page dont vous souhaitez récupérer les résultats. Valeur par défaut : 1. |
| results_per_page | Optionnel Entier | Nombre de résultats par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-09 23:43:38"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.sycow.fr/api/domains?page=1",
"last": "https://analytics.sycow.fr/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://analytics.sycow.fr/api/domains?page=1"
}
}
GET https://analytics.sycow.fr/api/domains/{domain_id}
curl --request GET \
--url 'https://analytics.sycow.fr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.sycow.fr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"visitor_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"website_id": 1,
"goals_conversions_ids": null,
"ip": "123.123.123.123",
"custom_parameters": {
"name": "John",
"website": "example.com"
},
"continent_code": "EU",
"country_code": "RO",
"city_name": "Bucharest",
"os_name": "OS X",
"os_version": "10.15.7",
"browser_name": "Chrome",
"browser_version": "140.0.0.0",
"browser_language": "en",
"browser_timezone": "UTC",
"device_type": "desktop",
"theme": "light",
"total_sessions": 10,
"last_event_id": 1,
"last_date": null,
"date": "2026-06-09 23:43:38"
}
}
POST https://analytics.sycow.fr/api/domains
| Paramètres | Détails | Description |
|---|---|---|
| host | Obligatoire Chaîne | - |
| custom_index_url | Optionnel Chaîne | - |
| custom_not_found_url | Optionnel Chaîne | - |
curl --request POST \
--url 'https://analytics.sycow.fr/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://analytics.sycow.fr/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://analytics.sycow.fr/api/domains/{domain_id}
| Paramètres | Détails | Description |
|---|---|---|
| host | Optionnel Chaîne | - |
| custom_index_url | Optionnel Chaîne | - |
| custom_not_found_url | Optionnel Chaîne | - |
curl --request POST \
--url 'https://analytics.sycow.fr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://analytics.sycow.fr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.sycow.fr/api/domains/{domain_id}
curl --request DELETE \
--url 'https://analytics.sycow.fr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.sycow.fr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \